/*
 *      Program do konwersji logow Gadu do ekg.
 *	Funkcja main.
 *
 *      copyright (c) 2004 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "convert.h"
#include "options.h"
#include "stuff.h"
#include <iostream>
using namespace std;

int main(int argc, char *argv[])
{
	Options opt(argc, argv);
	Convert c(opt.ownerNick());

	// czy wyswietlic pomoc
	if (argc == 1 || opt.showHelp()) {
		cout << HELP;
		return 0;
	}

	// czy przekonwertowac plik kontaktow
	if (opt.convertContacts()) {
		cout << c.prepareTemporaryContactsFromFile(opt.contactsFile());
		return 0;
	}

	if (opt.contactsFile().size())
		c.readContacts(opt.contactsFile());

	if (opt.logsFile().size())
		c.convertLog(opt.logsFile(), cout);
	else
		c.convertLog(cin, cout);

	return 0;
}
