/*
 *      Program do konwersji logow Gadu do ekg.
 *      Sprawdzanie atrybutow linii komend.
 *
 *      copyright (c) 2004 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __ATTRIBS_HH__
#define __ATTRIBS_HH__

#include <string>
using namespace std;

/** Sprawdzanie atrybutow linii komend wywolania programu. */
class Options {
public:
	/** Analizuje linie komend. */
	Options(int argc, char *argv[]);
	/** Zwraca nick wlasciciela konta. */
	const string & ownerNick() const { return _ownerNick; }
	/** Zwraca nazwe pliku z kontaktami. */
	const string & contactsFile() const { return _contactsFile; }
	/** Zwraca nazwe pliku z logami. */
	const string & logsFile() const { return _logsFile; }
	/** Zwraca nazwe pliku z kontaktami do zamiany. */
	bool convertContacts() const { return _convertContacts; }
	/** Czy wyswietlac pomoc */
	bool showHelp() const { return _help; }

private:

	// parametry
	string _ownerNick, _contactsFile, _logsFile;
	// czy wyswietlac pomoc
	bool _help, _convertContacts;
	
};


#endif /* __ATTRIBS_HH__ */
